Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(53)

Unified Diff: third_party/gsutil/pkg_gen.sh

Issue 12317103: Added gsutil to depot tools (Closed) Base URL: https://chromium.googlesource.com/chromium/tools/depot_tools.git@master
Patch Set: added readme Created 7 years, 10 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: third_party/gsutil/pkg_gen.sh
diff --git a/third_party/gsutil/pkg_gen.sh b/third_party/gsutil/pkg_gen.sh
new file mode 100644
index 0000000000000000000000000000000000000000..7418b3f6e0301eba82ba790088762ee17dbaf877
--- /dev/null
+++ b/third_party/gsutil/pkg_gen.sh
@@ -0,0 +1,54 @@
+#!/bin/sh
M-A Ruel 2013/02/27 21:40:08 Not needed
Ryan Tseng 2013/03/04 23:42:16 Done.
+
+# Utility command to generate an rpm package file for gsutil.
+# This tool takes no arguments and leaves the resulting rpm package
+# file at this location under your home rpmbuild tree:
+# $HOME/rpmbuild/RPMS/noarch/gsutil-$VERSION-<N>.noarch.rpm
+# where <N> is the build number.
+
+SPEC_FILE_IN=gsutil.spec.in
+SPEC_FILE=gsutil.spec
+
+# Pre-process the rpm spec file.
+python pkg_util.py
+
+# Get package name and version from spec file.
+NAME=`awk <$SPEC_FILE '/^Name:/ {print $2}'`
+if [ "$NAME" = "" ]
+then
+ echo "Error: Name variable not set properly in $SPEC_FILE."
+ exit 1
+fi
+
+VERSION=`awk <$SPEC_FILE '/^Version:/ {print $2}'`
+ROOT=$NAME-$VERSION
+STAGING_DIR=$HOME/rpmbuild/SOURCES/$ROOT
+
+# Update VERSION file to reflect current version.
+echo $VERSION >VERSION
+
+# Make sure STAGING_DIR is set so we don't do a recursive rm below
+# on an indeterminate location.
+if [ "$STAGING_DIR" = "" ]
+then
+ echo "Can't proceed - STAGING_DIR not set properly."
+ exit 1
+fi
+
+# Create staging dir and copy package files there, filtering .svn dirs
+# and .pyc files.
+rm -rf $STAGING_DIR
+mkdir -p $STAGING_DIR
+find . -print | grep -v "\.svn" | grep -v "\.pyc$" | cpio -pud $STAGING_DIR
+
+# Generate archive from staging area contents, then clean up staging area.
+CUR_DIR=$PWD
+cd $STAGING_DIR/..
+zip -r $ROOT.zip $ROOT
+
+cd $CUR_DIR
+rm -rf $STAGING_DIR
+
+# New build RPM package based on generated spec file and archive contents.
+rpmbuild -ba gsutil.spec
+

Powered by Google App Engine
This is Rietveld 408576698